#ifndef GSTPLAYER_H_
#define GSTPLAYER_H_

#include "gst/gst.h"
#include <unistd.h>
#include <cstring>

#define DEFAULT_SRC "filesrc"
#define DEFAULT_VIDEO_LOCATION "/home/media/big_buck_bunny_720p_surround.avi"
#define DEFAULT_DEMUXER "avidemux"
#define DEFAULT_DECODER "mfw_vpudecoder"
#define DEFAULT_SINK "mfw_v4lsink"

void on_pad_added(GstElement *src, GstPad *src_pad, gpointer sink);

class GstPlayer
{
public:
	GstPlayer();
	~GstPlayer();
	void play();
	void pause();
	void stop();
	void destroy();
	GstBus* get_bus();

private:
	void init_pipeline();
	GstElement *pipeline;
	GstBus *bus;
};

#endif /* GSTPLAYER_H_ */
