#ifndef EVK_VCR_H
#define EVK_VCR_H

#include <QtGui>
#include <QApplication>
#include <QtGui/QWidget>
#include <QTimer>

#include "ui_MX5Theatre.h"
#include "GstPlayer.h"
#include "fb_ops.h"

#include <unistd.h>
#include <sys/resource.h>
#include <sys/time.h>

class MX5Theatre : public QWidget
{
    Q_OBJECT

public:
    MX5Theatre(QWidget *parent = 0);
    ~MX5Theatre();

private:
	void reset_player();
	void paint_splash(bool fill);
	void show_usage();
	bool check_bus();

    GstPlayer *gst_player;
    GstBus *gst_bus;

	Ui::EVK_VCR ui;
    QTimer *timer;
    QDesktopWidget *qdw;
    QLabel *splash_label;
    QPixmap splash_pixmap;
    QPalette splash_palette;

    bool is_stopped;
    bool is_playing;
    bool first_timeout;
    void on_EVK_VCR_clicked();

    // Timout variables: global so declare only once
	double rt_passed_d, rt_last_d, rt_current_d; // 'Real-time' double values
	double ct_passed_d, ct_last_d, ct_current_d; // 'CPU-time' double values
	double cpu_usage;
	struct timeval rt_current;
	struct rusage ct_current;
	struct timeval ct_user_current;	// CPU user time
	struct timeval ct_sys_current;	// CPU system time
	char myString[15];
	QPalette label_palette;

private slots:
	void play_pause();
	void stop();
	void end();
	void callback();
	void clicked();

};

#endif // EVK_VCR_H
